ReferenceAPI
curl -X GET "https://api.nevia.cloud/v1/secrets?workspace=01d4cnjjq40hnnh0nwmkg35nv2h" \
-H "Authorization: Bearer $TOKEN"{
"secrets": [
{
"id": "01d4cnjqmc7d2pk9r4w6y8b0c3f",
"workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
"name": "DATABASE_PASSWORD",
"created_by": "01d4cnjmn4fbb1r5btxb5mypv62",
"updated_by": "01d4cnjmn4fbb1r5btxb5mypv62",
"created_at": "2026-09-10T12:34:56Z",
"updated_at": "2026-09-10T12:34:56Z",
"deleted_at": "2026-09-10T12:34:56Z"
}
],
"next_cursor": "string",
"has_more": true
}Authorization
bearerAuth Authorization
Bearer <token>
Send the token in the Authorization: Bearer <token> header. See Authenticate.
In: header
Query Parameters
workspace*
string
Workspace id or exact name
limit?
integer
Page size
Range
1 <= value <= 100Default
50cursor?
string
next_cursor from the previous page
name?
string
Exact name of the secret to match
Match
^[A-Za-z][A-Za-z0-9_]{0,127}$Response
application/jsonSecrets.